
## @bluemath/geom

Geometry submodule of BlueMath.

[![NPM package](https://img.shields.io/npm/v/@bluemath/geom.svg)](https://www.npmjs.com/package/@bluemath/geom)
&#8226;
[Docs](http://www.bluemathsoftware.com/bm/geom/docs/index.html)
&#8226;
[Tests](http://www.bluemathsoftware.com/bm/geom/test/index.html)
&#8226;
[Playground](http://www.bluemathsoftware.com/bm/geom/playground/index.html)


* Implementation of basic NURBS primitives
  - Bezier Curves
  - BSpline Curves
  - Bezier Surfaces
  - BSpline Surfaces

* Tessellation (fixed resolution or adaptive) of curves and surfaces
* Fundamental NURBS algorithms of NURBS
  - Knot insertion
  - Knot refinement
  - Decomposition of BSpline curves and surfaces into Bezier curves and surfaces

* Definition of regular geometry in terms of NURBS
  - Line
  - Circle
  - Bilinear Surface
  - Cylinder
  - Surface of revolution (Sphere, Cone, Torus)

Usage
===

    npm install @bluemath/geom
    
